### File

`packages/ecl/components/ecl-mega-menu/directives/ecl-mega-menu-featured-list.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclMegaMenuFeaturedListItemDescription]`

### Index

###### Properties
cmpClass
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-mega-menu__featured-list__item-description

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-mega-menu__featured-list__item-description
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

cmpClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-mega-menu__featured-list__item-description')`

# results matching ""

# No results matching ""